For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • GETExport batches for paypoint
            • GETExport batches for org
            • GETExport batch details for paypoint
            • GETExport batch details for org
            • GETExport settled transactions for paypoint
            • GETExport settled transactions for org
            • GETExport transactions for paypoint
            • GETExport transactions for org
            • GETExport transfers for paypoint
            • GETExport transfer details
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay In endpointsTransaction reportingExports (deprecated)

Export settled transactions for org

Deprecated
|View as Markdown|Open in Claude|
GET
/Export/settlements/:format/org/:orgId
GET
/api/Export/settlements/:format/org/:orgId
$curl -G https://api-sandbox.payabli.com/api/Export/settlements/csv/org/123 \
> -H "requestToken: <apiKey>" \
> --data-urlencode columnsExport=BatchDate:Batch_Date,PaypointName:Legal_name \
> -d fromRecord=251 \
> -d limitRecord=1000
1{
2 "key": "value"
3}
Export a list of settled transactions for an organization. Use filters to limit results.
Was this page helpful?
Previous

Export settled transactions for paypoint

Next

Export transactions for paypoint

Authentication

requestTokenstring
API Key authentication via header

Path parameters

formatenumRequired
Format for the export, either XLSX or CSV.
Allowed values:
orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Query parameters

columnsExportstringOptional
fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 25000
The number of records to return for the query. The maximum is 30,000 records. When this parameter isn't sent, the API returns up to 25,000 records.
parametersmap from strings to nullable stringsOptional
Collection of field names, conditions, and values used to filter the query <Info> **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client. For example: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20 should become: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20 </Info> See [Filters and Conditions Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference) for help. List of field names accepted: - `settlementDate` (gt, ge, lt, le, eq, ne) - `transId` (ne, eq, ct, nct) - `gatewayTransId` (ne, eq, ct, nct) - `method` (in, nin, eq, ne) - `settledAmount` (gt, ge, lt, le, eq, ne) - `operation` (in, nin, eq, ne) - `source` (in, nin, eq, ne) - `batchNumber` (ct, nct, eq, ne) - `payaccountLastfour` (nct, ct) - `payaccountType` (ne, eq, in, nin) - `customerFirstname` (ct, nct, eq, ne) - `customerLastname` (ct, nct, eq, ne) - `customerName` (ct, nct) - `customerId` (eq, ne) - `customerNumber` (ct, nct, eq, ne) - `customerCompanyname` (ct, nct, eq, ne) - `customerAddress` (ct, nct, eq, ne) - `customerCity` (ct, nct, eq, ne) - `customerZip` (ct, nct, eq, ne) - `customerState` (ct, nct, eq, ne) - `customerCountry` (ct, nct, eq, ne) - `customerPhone` (ct, nct, eq, ne) - `customerEmail` (ct, nct, eq, ne) - `customerShippingAddress` (ct, nct, eq, ne) - `customerShippingCity` (ct, nct, eq, ne) - `customerShippingZip` (ct, nct, eq, ne) - `customerShippingState` (ct, nct, eq, ne) - `customerShippingCountry` (ct, nct, eq, ne) - `orgId` (eq) *mandatory when entry=org* - `paypointId` (ne, eq) - `paypointLegal` (ne, eq, ct, nct) - `paypointDba` (ne, eq, ct, nct) - `orgName` (ne, eq, ct, nct) - `additional-xxx` (ne, eq, ct, nct) where xxx is the additional field name List of comparison accepted - enclosed between parentheses: - eq or empty => equal - gt => greater than - ge => greater or equal - lt => less than - le => less or equal - ne => not equal - ct => contains - nct => not contains - in => inside array separated by "|" - nin => not inside array separated by "|" List of parameters accepted: - limitRecord: max number of records for query (default="20", "0" or negative value for all) - fromRecord: initial record in query Example: `settledAmount(gt)=20` returns all records with a `settledAmount` greater than 20.00

Response

Success

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error

Collection of field names, conditions, and values used to filter the query

You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.

Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client.

For example:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

should become:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20

See Filters and Conditions Reference for help.

List of field names accepted:

  • settlementDate (gt, ge, lt, le, eq, ne)
  • transId (ne, eq, ct, nct)
  • gatewayTransId (ne, eq, ct, nct)
  • method (in, nin, eq, ne)
  • settledAmount (gt, ge, lt, le, eq, ne)
  • operation (in, nin, eq, ne)
  • source (in, nin, eq, ne)
  • batchNumber (ct, nct, eq, ne)
  • payaccountLastfour (nct, ct)
  • payaccountType (ne, eq, in, nin)
  • customerFirstname (ct, nct, eq, ne)
  • customerLastname (ct, nct, eq, ne)
  • customerName (ct, nct)
  • customerId (eq, ne)
  • customerNumber (ct, nct, eq, ne)
  • customerCompanyname (ct, nct, eq, ne)
  • customerAddress (ct, nct, eq, ne)
  • customerCity (ct, nct, eq, ne)
  • customerZip (ct, nct, eq, ne)
  • customerState (ct, nct, eq, ne)
  • customerCountry (ct, nct, eq, ne)
  • customerPhone (ct, nct, eq, ne)
  • customerEmail (ct, nct, eq, ne)
  • customerShippingAddress (ct, nct, eq, ne)
  • customerShippingCity (ct, nct, eq, ne)
  • customerShippingZip (ct, nct, eq, ne)
  • customerShippingState (ct, nct, eq, ne)
  • customerShippingCountry (ct, nct, eq, ne)
  • orgId (eq) mandatory when entry=org
  • paypointId (ne, eq)
  • paypointLegal (ne, eq, ct, nct)
  • paypointDba (ne, eq, ct, nct)
  • orgName (ne, eq, ct, nct)
  • additional-xxx (ne, eq, ct, nct) where xxx is the additional field name

List of comparison accepted - enclosed between parentheses:

  • eq or empty => equal
  • gt => greater than
  • ge => greater or equal
  • lt => less than
  • le => less or equal
  • ne => not equal
  • ct => contains
  • nct => not contains
  • in => inside array separated by ”|”
  • nin => not inside array separated by ”|”

List of parameters accepted:

  • limitRecord: max number of records for query (default=“20”, “0” or negative value for all)
  • fromRecord: initial record in query

Example: settledAmount(gt)=20 returns all records with a settledAmount greater than 20.00